"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const generateLogMethod_1 = require("./generateLogMethod");
const getRecommendedMinimalLogLevelForEnvironment_1 = require("./getRecommendedMinimalLogLevelForEnvironment");
/**
 * define how to generate the log methods
 * - allows you to specify the minimal log level to use for your application
 * - defaults to recommended levels for the environment
 */
exports.generateLogMethods = ({ minimalLogLevel = getRecommendedMinimalLogLevelForEnvironment_1.getRecommendedMinimalLogLevelForEnvironment() } = {}) => {
    // generate the methods
    return {
        error: generateLogMethod_1.generateLogMethod({ level: constants_1.LogLevel.ERROR, minimalLogLevel }),
        warn: generateLogMethod_1.generateLogMethod({ level: constants_1.LogLevel.WARN, minimalLogLevel }),
        info: generateLogMethod_1.generateLogMethod({ level: constants_1.LogLevel.INFO, minimalLogLevel }),
        debug: generateLogMethod_1.generateLogMethod({ level: constants_1.LogLevel.DEBUG, minimalLogLevel }),
    };
};
//# sourceMappingURL=generateLogMethods.js.map